org.bouncycastle.pqc.asn1

## Class XMSSPublicKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.pqc.asn1.XMSSPublicKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class XMSSPublicKey
      extends ASN1Object

  XMSSPublicKey

           XMSSPublicKey ::= SEQUENCE {
               version       INTEGER -- 0
               publicSeed    OCTET STRING
               root          OCTET STRING
          }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMSSPublicKey(byte[] publicSeed, byte[] root)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMSSPublicKey` | `getInstance(java.lang.Object o)`
    `byte[]` | `getPublicSeed()`
    `byte[]` | `getRoot()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMSSPublicKey

          public XMSSPublicKey(byte[] publicSeed,
                               byte[] root)

  - ### Method Detail

    - #### getInstance

          public static XMSSPublicKey getInstance(java.lang.Object o)

    - #### getPublicSeed

          public byte[] getPublicSeed()

    - #### getRoot

          public byte[] getRoot()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.